toHTML {tools} | R Documentation

## Display an object in HTML.

### Description

This generic function generates a complete HTML page from an object.

### Usage

    toHTML(x, ...)
    ## S3 method for class 'packageIQR'
    toHTML(x, ...)
    ## S3 method for class 'news_db'
    toHTML(x, ...)

### Arguments

`x` | An object to display.
`...` | Optional parameters for methods; the `"packageIQR"` and `"news_db"` methods pass these to `HTMLheader`.

### Value

A character vector to display the object `x`. The `"packageIQR"` method is designed to display lists in the R help system.

### See Also

`HTMLheader`

### Examples

    cat(toHTML(demo(package = "base")), sep = "\n")

[Package tools version 3.4.2 Index]